> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/safetyscorerequestparameters/occupantroles.md).

# OccupantRoles

The occupant roles for which an aggregated safety score is being requested.

## OccupantRoles API

### `all()`

Returns an instance of OccupantRoles that represents all occupant roles.

```java
OccupantRoles all();
```

### `some()`

Returns an instance of OccupantRoles that represents a subset of occupant roles.

```java
OccupantRoles some(OccupantRole... roles);
```

<table><thead><tr><th width="217">Parameters</th><th></th></tr></thead><tbody><tr><td>roles</td><td>The occupant roles for which an aggregated safety score is being requested. See <a href="/pages/ABxhgF9s1MMeOQEVpWtV">OccupantRole</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/safetyscorerequestparameters/occupantroles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
